#include "surprise.h"
#include "ui_surprise.h"

#include <QtGui/QCloseEvent>
#include <QtGui/QSystemTrayIcon>
#include <QtCore/QTimer>
#include <QtGui/QMenu>
#include <QtGui/QAction>

Surprise::Surprise(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Surprise)
{
    ui->setupUi(this);

    QMenu *menu = new QMenu(this);
    menu->addAction(tr("&Quit"), QApplication::instance(), SLOT(quit()));


    icon = new QSystemTrayIcon(QIcon(":/water_drop.png"));
    icon->setContextMenu(menu);
    icon->show();

    timer = new QTimer;
    connect(timer, SIGNAL(timeout()), this, SLOT(showMessage()));
    timer->setInterval(30*60*1000);
    timer->start();

    showMessage();
}

Surprise::~Surprise()
{
    delete ui;
}

void Surprise::closeEvent(QCloseEvent *event)
{
    hide();
    event->ignore();
}

void Surprise::showMessage()
{
    icon->showMessage(tr("Drink!"), tr("Drink some water princess!"));
}
